;; tie-on : adapte la typographie francaise pour Texinfo
;; en matiere de ponctuation double (espace insecable avant).
;; Demande confirmation a chaque occurrence pour preserver
;; ces caracteres lorsqu'utilises dans des elements externes.
;; 


(defun tie-on ()
  (interactive)
  "change les espaces avant ;:!? et guillemets en @tie{}."
  (beginning-of-buffer)
  (query-replace " »" "@tie{}»:")
  (beginning-of-buffer)
  (query-replace "« " "«@tie{}")
  (beginning-of-buffer)
  (query-replace " :" "@tie{}:")
  (beginning-of-buffer)
  (query-replace " ?" "@tie{}?")
  (beginning-of-buffer)
  (query-replace " !" "@tie{}!")
  (beginning-of-buffer)
  (query-replace " ;" "@tie{};")
)

(defun tie-off ()
  (interactive)
  "change @tie{} en espaces avant ;:!? et guillemets."
  (beginning-of-buffer)
  (query-replace "@tie{}»" " »:")
  (beginning-of-buffer)
  (query-replace "«@tie{}" "« ")
  (beginning-of-buffer)
  (query-replace "@tie{}:" " :")
  (beginning-of-buffer)
  (query-replace "@tie{}?" " ?")
  (beginning-of-buffer)
  (query-replace "@tie{}!" " !")
  (beginning-of-buffer)
  (query-replace "@tie{};" " ;")
)
